xine-lib: xine-lib-1.2.12/src/demuxers/demux_image.c File Reference

xine-lib 1.2.12

Data Structures | Macros | Typedefs | Functions | Variables
demux_image.c File Reference
`#include <stdio.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <xine/xine_internal.h>`
`#include <xine/xineutils.h>`
`#include "bswap.h"`
`#include <xine/demux.h>`

## Data Structures
struct | demux_image_s

## Macros
#define | LOG_MODULE "demux_image"
#define | LOG_VERBOSE
#define | IMAGE_HEADER_LEN 4

## Typedefs
typedef struct demux_image_s | demux_image_t

## Functions
static uint32_t | _probe (xine_t *xine, const uint8_t *header)
static int | demux_image_get_status (demux_plugin_t *this_gen)
static int | demux_image_next (demux_plugin_t *this_gen, int decoder_flags)
static int | demux_image_send_chunk (demux_plugin_t *this_gen)
static void | demux_image_send_headers (demux_plugin_t *this_gen)
static int | demux_image_seek (demux_plugin_t *this_gen, off_t start_pos, int start_time, int playing)
static int | demux_image_get_stream_length (demux_plugin_t *this_gen)
static uint32_t | demux_image_get_capabilities (demux_plugin_t *this_gen)
static int | demux_image_get_optional_data (demux_plugin_t *this_gen, void *data, int data_type)
static demux_plugin_t * | open_plugin (demux_class_t *class_gen, xine_stream_t *stream, input_plugin_t *input)
static void * | init_class (xine_t *xine, const void *data)

## Variables
static const demuxer_info_t | demux_info_image
const plugin_info_t xine_plugin_info[] | EXPORTED

## Macro Definition Documentation

## ◆ IMAGE_HEADER_LEN

#define IMAGE_HEADER_LEN 4

## ◆ LOG_MODULE

#define LOG_MODULE "demux_image"

## ◆ LOG_VERBOSE

#define LOG_VERBOSE

## Typedef Documentation

## ◆ demux_image_t

typedef struct demux_image_s demux_image_t

## Function Documentation

## ◆ _probe()

static uint32_t _probe | ( | xine_t * | xine,
|  | const uint8_t * | header
| ) |  |
| static

References _x_decoder_available(), BUF_VIDEO_IMAGE, BUF_VIDEO_JPEG, and BUF_VIDEO_PNG.

Referenced by demux_image_next(), and open_plugin().

## ◆ demux_image_get_capabilities()

static uint32_t demux_image_get_capabilities | ( | demux_plugin_t * | this_gen | ) |
| static

References DEMUX_CAP_NOCAP.

Referenced by open_plugin().

## ◆ demux_image_get_optional_data()

static int demux_image_get_optional_data | ( | demux_plugin_t * | this_gen,
|  | void * | data,
|  | int | data_type
| ) |  |
| static

References DEMUX_OPTIONAL_UNSUPPORTED.

Referenced by open_plugin().

## ◆ demux_image_get_status()

static int demux_image_get_status | ( | demux_plugin_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ demux_image_get_stream_length()

static int demux_image_get_stream_length | ( | demux_plugin_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ demux_image_next()

static int demux_image_next | ( | demux_plugin_t * | this_gen,
|  | int | decoder_flags
| ) |  |
| static

References _probe(), BUF_FLAG_FRAME_END, buf_type, BUF_VIDEO_IMAGE, buf_element_s::content, buf_element_s::decoder_flags, DEMUX_FINISHED, DEMUX_OK, input(), buf_element_s::max_size, buf_element_s::mem, buf_element_s::size, and buf_element_s::type.

Referenced by demux_image_send_chunk(), and demux_image_send_headers().

## ◆ demux_image_seek()

static int demux_image_seek | ( | demux_plugin_t * | this_gen,
|  | off_t | start_pos,
|  | int | start_time,
|  | int | playing
| ) |  |
| static

References XINE_PARAM_DELAY_FINISHED_EVENT, and xine_set_param().

Referenced by open_plugin().

## ◆ demux_image_send_chunk()

static int demux_image_send_chunk | ( | demux_plugin_t * | this_gen | ) |
| static

References demux_image_next().

Referenced by open_plugin().

## ◆ demux_image_send_headers()

static void demux_image_send_headers | ( | demux_plugin_t * | this_gen | ) |
| static

References _x_demux_control_start(), _x_stream_info_set(), BUF_FLAG_PREVIEW, DEMUX_FINISHED, demux_image_next(), DEMUX_OK, input(), XINE_STREAM_INFO_HAS_AUDIO, and XINE_STREAM_INFO_HAS_VIDEO.

Referenced by open_plugin().

## ◆ init_class()

static void * init_class | ( | xine_t * | xine,
|  | const void * | data
| ) |  |
| static

References N_, NULL, open_plugin(), and demux_class_s::open_plugin.

## ◆ open_plugin()

static demux_plugin_t * open_plugin | ( | demux_class_t * | class_gen,
|  | xine_stream_t * | stream,
|  | input_plugin_t * | input
| ) |  |
| static

References _probe(), _x_demux_read_header(), buf_type, xine_stream_s::content_detection_method, default_demux_plugin_dispose, DEMUX_FINISHED, demux_image_get_capabilities(), demux_image_get_optional_data(), demux_image_get_status(), demux_image_get_stream_length(), demux_image_seek(), demux_image_send_chunk(), demux_image_send_headers(), IMAGE_HEADER_LEN, input(), lprintf, METHOD_BY_CONTENT, METHOD_BY_MRL, METHOD_EXPLICIT, NULL, and xine_stream_s::xine.

Referenced by init_class().

## Variable Documentation

## ◆ demux_info_image

const demuxer_info_t demux_info_image
| static

Initial value:
= {
.priority = 11,
}

## ◆ EXPORTED

const plugin_info_t xine_plugin_info [] EXPORTED

Initial value:
= {
{ PLUGIN_DEMUX, 27, "image", XINE_VERSION_CODE, &demux_info_image, init_class },
{ PLUGIN_NONE, 0, NULL, 0, NULL, NULL }
}
init_class
static void * init_class(xine_t *xine, const void *data)
Definition: demux_image.c:246
demux_info_image
static const demuxer_info_t demux_info_image
Definition: demux_image.c:282
XINE_VERSION_CODE
#define XINE_VERSION_CODE
Definition: xine_internal.h:57
NULL
NULL
Definition: xine_plugin.c:78
PLUGIN_DEMUX
#define PLUGIN_DEMUX
Definition: xine_plugin.h:31
PLUGIN_NONE
#define PLUGIN_NONE
Definition: xine_plugin.h:29